/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 20/03/2024

Scrivere una funzione che, data una stringa,
ne elimini le lettere specficate, accorciandola
*/

#include <iostream>

using namespace std;

char * delChr(char * str, char chr);

int main(void) {
	char str[] = "Ciao mamma, come stai?";
	char chr = 'a';
	
	cout << str << endl;
	cout << delChr(str, chr) << endl;
	
	return 0;
}

char * delChr(char * str, char chr) {
	int j = 0;
	
	for (int i = 0; str[i] != '\0'; i++) {
		if (str[i] != chr) {
			str[j++] = str[i];
		}
	}
	
	str[j] = '\0';
	
	return str;
}